

cmake_minimum_required(VERSION 3.8.0)
project(mdd)
option(TESTS_ENABLED "enable unit tests" ON)
set(CMAKE_CXX_STANDARD 11)

include(cmake/configure_msvc.cmake)
configure_msvc_runtime()
install(FILES cmake/auslegung-config.cmake DESTINATION .)

if(${TESTS_ENABLED})
    enable_testing()
    add_definitions(-D_SILENCE_TR1_NAMESPACE_DEPRECATION_WARNING )

    include_directories(${CMAKE_CURRENT_SOURCE_DIR}/thirdparty/googletest/googlemock/include)
    add_subdirectory(${CMAKE_CURRENT_SOURCE_DIR}/thirdparty/googletest)
endif()

FIND_PACKAGE( Boost REQUIRED  COMPONENTS program_options system)
INCLUDE_DIRECTORIES( ${Boost_INCLUDE_DIRS} )
LINK_DIRECTORIES( ${Boost_LIBRARY_DIRS} )

include_directories(${CMAKE_CURRENT_SOURCE_DIR}/thirdparty/json/single_include)
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/thirdparty/cpp-httplib)
add_subdirectory(lib)